<?php
/**
* @package		planyo
* @copyright	

    Planyo module for Joomla!
    Copyright (C) 2010 Xtreeme GmbH

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

// no direct access
defined('_JEXEC') or die('Restricted access');

require_once(JPATH_SITE.'/modules/mod_planyo/planyo-plugin-impl.php');

class ModPlanyoHelper {
  public static function embed_planyo_form($params) {
    global $planyo_site_id, $planyo_files_location, $planyo_language, $planyo_always_use_ajax, $planyo_sort_fields, $planyo_resource_id, $planyo_js_library_used, $planyo_include_js_library, $planyo_default_mode, $planyo_extra_search_fields, $planyo_login_info, $planyo_resource_ordering;
    
    // change the following values to match your settings
    $planyo_site_id = $params->get('site_id');  // ID of your planyo site. It can be a number or the default value ('demo') to see demonstration of the plugin
    $planyo_files_location = JURI::base(true).'/modules/mod_planyo';  // relative or absolute directory where the planyo files are kept (usually '/planyo-files')
    $planyo_language = $params->get('planyo_language');  // you can optionally change the language here, e.g. 'FR' or 'ES' or pass the languge in the 'lang' parameter
    if (!$planyo_language) {
      $language_obj = JFactory::getLanguage();
      if ($language_obj) {
        $language_code = $language_obj->getTag();
        if ($language_code)
          $planyo_language = strtoupper(substr($language_code, 0, 2));
      }
      if (!$planyo_language)
        $planyo_language = "EN";
    }
    $planyo_always_use_ajax = $params->get('seo_friendly')=='1' ? false : true;  // set to true to use AJAX to display resource list and resource details views
    $planyo_sort_fields = $params->get('sort_fields');  // comma-separated sort fields -- a single field will hide the sort dropdown box
    $planyo_extra_search_fields = $params->get('extra_search_fields');  // comma-separated extra fields in the search box
    $planyo_default_mode = $params->get('default_mode');
    $planyo_resource_ordering = $params->get('resource_ordering');
    $planyo_resource_id = null;  // optional: ID of the resource being reserved
    $planyo_js_library_used = ($params->get('js_framework') == 'jquery' || $params->get('js_framework') == 'jquery-noinclude') ? 'jquery' : 'mootools'; // mootools or jquery
    $planyo_include_js_library = ($params->get('js_framework') == 'jquery' || $params->get('js_framework') == 'mootools');

    if ($params->get('use_login')=='1') {
      $user = JFactory::getUser();
      if ($user && $user->id) {
        $names = explode(" ",$user->name);
        $user_email = $user->email;
        if (is_array($user_email))
          $user_email = array_pop($user_email);
        $user_email = str_replace('@', '[at]', $user_email);
        $first_name = null;
        $last_name = null;
        if (is_array($names) && count($names) > 1) {
          $last_name = array_pop($names);
          $first_name = implode(" ", $names);
        }
        $planyo_login_info = array('first_name'=>$first_name, 'last_name'=>$last_name, 'email'=>$user_email, 'login_cs'=>$params->get('login_integration_code') ? sha1($user->email . $params->get('login_integration_code')) : "nocode");
      }
    }

    echo "<div id='planyo_plugin_code' class='planyo'>";
    planyo_setup();
    echo "</div>";
  }
}
